
Redmine - Defect #16077

Table of contents macro conflicts with collapse macro

2014-02-11 18:28 - Duncan Robertson

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version: 2.5.0   

Resolution: Fixed Affected version: 2.4.2

Description

Using the collapse macro on page that also has a table of contents macro on it causes the contents of the last collapse macro to be

displayed at the start of the TOC box. No other collapse content is shown in the TOC.

See Macro Conflict for example

Associated revisions

Revision 12899 - 2014-02-15 11:55 - Jean-Philippe Lang

Fixed that collapse macro with headings breaks the table of contents (#16077).

Revision 12919 - 2014-02-23 09:10 - Jean-Philippe Lang

Merged r12899 (#16077).

History

#1 - 2014-02-14 13:00 - Duncan Robertson

oops typo in version field, should read 2.4.2

#2 - 2014-02-15 11:24 - Jean-Philippe Lang

- Status changed from New to Confirmed

- Affected version (unused) changed from 2.4.3 to 2.4.2

- Affected version changed from 2.4.3 to 2.4.2

#3 - 2014-02-15 11:56 - Jean-Philippe Lang

- Category changed from Wiki to Text formatting

- Status changed from Confirmed to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.5.0

- Resolution set to Fixed

Fixed in r12899.

#4 - 2014-02-23 09:11 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.
